Subject: bug#45156: 28.0.50; Segfault due to glyph_row being set to NULL

From: Eli Zaretskii <[email-masked]>
Date: Thu, 10 Dec 2020 17:12:03 +0200

> Date: Thu, 10 Dec 2020 15:54:55 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > I see Emacs segfaulting when moving the cursor upwards in a LaTeX
> > document while tex-fold-mode is active.  The starting position of the
> > cursor is important.
> > 
> > I placed all files to reproduce the bug at
> > <http://wilson.bronger.org/emacs-glyph_row-bug.tar>.  The TeX file needs
> > to be put in /tmp.  tex-fold-mode must be present.  Furthermore, place
> > .emacs and .emacs.desktop in the proper positions, start current Git
> > Emacs, and press the "cursor up" button.  Then, Emacs crashes for me.
> > 
> > The subject of this bug is just to give it a name.  I do not know
> > whether glyph_row is the issue.  However, I bisected the problem, and it
> > started with commit f425a774, which sets glyph_row to NULL in two
> > places.  If I revert this commit, the problem is gone.
> 
> Ouch! what a terrible blunder!  Sorry about that; I see the problem
> and am working on a solution.

Should be fixed now, please try the latest master branch.  If there
are any adverse effects of the change I installed, please tell the
details.